Subject: Re: [PATCH] git-gui: pass the branch name to git merge

From: Junio C Hamano <[email-masked]>
Date: Wed, 23 Nov 2016 12:05:34 -0800

Johannes Sixt <[email-masked]> writes:

> Am 22.11.2016 um 21:40 schrieb Johannes Sixt:
>> Am 22.11.2016 um 20:16 schrieb Junio C Hamano:
>>> Can't this be handled on the "git merge FETCH_HEAD" codepath
>>> instead?
>>
>> Absolutely. Any takers? ;)
>
> I attempted to fix git merge FETCH_HEAD, but I do not see a trivial
> solution.
>
> But on second thought, we have an excuse to pick my proposed git-gui
> change anyway: Without that change and a fix in git-merge only, there
> is still a regression for all users who use the latest git-gui but
> some git version between 2.5.0 and the fixed git-merge...

I'll leave it up to Pat, as I do not read tcl very well ;-)